package com.mt.wms.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mt.wms.basic.params.LocationInfoParam;
import com.mt.wms.basic.params.LocationInfoQueryParam;
import com.mt.wms.basic.service.LocationInfoService;
import com.mt.wms.basic.vo.LocationInfoVo;
import com.mt.wms.basic.vo.VehicleVo;
import com.mt.wms.core.api.Assert;
import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.Location;
import com.mt.wms.core.dal.entity.VehicleInfo;
import com.mt.wms.core.dal.service.LocationServiceBiz;
import com.mt.wms.core.errorcode.ApiErrorCode;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 11:13
 * @Version 1.0
 */
@Service
@Transactional
public class LocationInfoServiceImpl extends BaseService implements LocationInfoService {

    @Resource
    private LocationServiceBiz locationServiceBiz;
    @Override
    public R<LocationInfoVo> get(IdParam idParam) {
        Assert.notNull(ApiErrorCode.INVALID_PARAMETER,idParam.getId());
        Location location = locationServiceBiz.getById(idParam.getId());
        LocationInfoVo locationInfoVo=LocationInfoVo.builder().build();
        BeanUtils.copyProperties(location,locationInfoVo);
        return successful(locationInfoVo);
    }

    @Override
    public R<List<LocationInfoVo>> list(LocationInfoQueryParam locationInfoQueryParam) {
        QueryWrapper<Location> wrapper=new QueryWrapper<>();
        wrapper.eq(Location.VALID,1);
        List<Location> locationList = locationServiceBiz.list(wrapper);
        List<LocationInfoVo> locationInfoVoList = com.mt.wms.core.utils.BeanUtils.copyList(locationList, LocationInfoVo.class);
        return successful(locationInfoVoList);
    }

    @Override
    public R<PageVo<LocationInfoVo>> page(LocationInfoQueryParam locationInfoQueryParam) {
        return null;
    }

    @Override
    public R<IdVo> add(LocationInfoParam locationInfoParam) {
        return null;
    }

    @Override
    public R<IdVo> update(LocationInfoParam locationInfoParam) {
        return null;
    }

    @Override
    public R<IdVo> delete(IdParam idParam) {
        return null;
    }
}
